Transparent Data Encryption for PostgreSQL

動作環境

Transparent Data Encryption for PostgreSQL Enterprise Editionのバージョンごとの動作環境を掲載しています。

V2.1

OS

Red Hat Enterprise Linux 7(7.1以降), 8(8.1以降)

PostgreSQLバージョン PostgreSQL 12,13
PostgreSQLの導入方法 コミュニティが提供するソースを改変せずにコンパイル
コミュニティが提供するRPM
Linuxディストリビュータが提供するRPM
対応API
(制限事項あり)
libpq, psqlodbc, PostgreSQL JDBC Driver
備考 APIの利用には一部注意制限事項(※)があります。

V1.3

V1.3はV1.2のマイナーバージョンアップとなります。
V1.3はV1.2をご購入いただき、ダウンロードサイトからご自身でダウンロードしてご利用ください。

OS

Red Hat Enterprise Linux 7(7.1以降)
Red Hat Enterprise Linux 8(8.1以降)(PostgreSQL 10, 11のみ対応)
Windows Server 2012(R2含む)
Windows Server 2016, 2019(PostgreSQL11のみ対応)

PostgreSQLバージョン PostgreSQL 9.6, 10, 11
PostgreSQLの導入方法 Linux版 導入方法
コミュニティが提供するソースを改変せずにコンパイル
コミュニティが提供するRPM
Linuxディストリビュータが提供するRPM
Windows版 導入方法
コミュニティが提供するインストーラ

対応API(制限事項有り)

libpq, psqlodbc, PostgreSQL JDBC Driver

備考

APIの利用には一部注意制限事項(※)があります。